Bug 886824 - 'Configure Local Disk' does not work properly in Japanese environment
Summary: 'Configure Local Disk' does not work properly in Japanese environment
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal
Version: 3.1.0
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
: 3.2.0
Assignee: Daniel Erez
QA Contact: Lijun Li
URL:
Whiteboard: storage
Depends On:
Blocks: 889792 915537
TreeView+ depends on / blocked
 
Reported: 2012-12-13 09:25 UTC by Keigo Noha
Modified: 2018-11-29 19:20 UTC (History)
10 users (show)

Fixed In Version: sf3
Doc Type: Bug Fix
Doc Text:
The correlation ID of local storage creation flow was mistakenly translated in non-English locales, so local storage could not be created on non-English locales. The correlation ID is no longer translated, as a result local storage creation works as expected.
Clone Of:
: 889792 (view as bug list)
Environment:
Last Closed: 2013-06-10 21:27:35 UTC
oVirt Team: Storage
Target Upstream Version:


Attachments (Terms of Use)
Fixed 'Configure Local Storage' works fine now in ja locale (205.14 KB, image/png)
2013-01-28 08:55 UTC, Lijun Li
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2013:0888 0 normal SHIPPED_LIVE Moderate: Red Hat Enterprise Virtualization Manager 3.2 update 2013-06-11 00:55:41 UTC

Description Keigo Noha 2012-12-13 09:25:46 UTC
Description of problem:
'Configure Local Disk' does not work properly in Japanese language.
We get the following messages and we can't configure RHEV-H machine's local disk.
~~~
エラー: 相関IDにはアルファベットの大文字/小文字、数字、"-"、"_"の文字を使用する必要があります
~~~
This problem happen in Japanese language only.

Version-Release number of selected component (if applicable):
RHEV 3.1

How reproducible:
Always

Steps to Reproduce:
1.Login Web Admin Portal with 'Japanese' language.
2.After login, click 'Configure Local Disk' and click OK following window.
3.The error is shown.
~~~
エラー: 相関IDにはアルファベットの大文字/小文字、数字、"-"、"_"の文字を使用する必要があります
~~~
  
Actual results:
The following error is shown.
~~~
エラー: 相関IDにはアルファベットの大文字/小文字、数字、"-"、"_"の文字を使用する必要があります
~~~

Expected results:
Complete 'Configure local disk' task.

Additional info:
When the error shows, we got another log at '/var/log/ovirt-engine/engine.log
~~~
2012-12-07 11:19:49,488 INFO  [org.ovirt.engine.core.bll.storage.AddEmptyStoragePoolCommand] (ajp-/127.0.0.1:8702-2) [6bdbc899] Running command: AddEmptyStoragePoolCommand internal: false. Entities affected :  ID: aaa00000-0000-0000-0000-123456789aaa Type: System
~~~

Comment 4 Daniel Erez 2012-12-18 09:00:11 UTC
When using non-English localization, 'Configure Local Storage'
throws VALIDATION_INVALID_CORRELATION_ID error.
Removing correlationId unnecessary localization fixes the issue.

patch sent:
http://gerrit.ovirt.org/#/c/10176/
Change-Id: If09925567472fb546b62942c1c51d36b49a62289

Comment 13 Lijun Li 2013-01-10 09:24:19 UTC
Verified it's failed on the latest rhevm3.2 sf3 build.

rhevm sf3 build:
[root@rhevm32 ~]# cat /etc/redhat-release 
Red Hat Enterprise Linux Server release 6.4 Beta (Santiago)
[root@rhevm32 ~]# rpm -q rhevm rhevm-webadmin-portal
rhevm-3.2.0-4.el6ev.noarch
rhevm-webadmin-portal-3.2.0-4.el6ev.noarch

rhev-h:
[root@rhevh64 ~]# cat /etc/redhat-release 
Red Hat Enterprise Virtualization Hypervisor release 6.4 (20121212.1)
[root@rhevh64 ~]# rpm -q vdsm
vdsm-4.10.2-1.0.el6.x86_64

Filed a separate bug 893920 for tracking: Error while executing action New Local Storage Domain: Remote path is illegal


Thanks,
Robert

Comment 14 Ayal Baron 2013-01-14 08:54:17 UTC
Moving back to ON_QA as the issue hit during verification was due to bug 893920
Please either verify on a RHEL host or retest once the above bug is fixed.

Comment 15 Lijun Li 2013-01-16 03:17:05 UTC
Will verify/retest it when bug 893920 is fixed.

Thanks,
Robert.

Comment 16 Lijun Li 2013-01-28 08:54:07 UTC
Verified it's fixed on RHEL host on the latest sf4 build :

# cat /etc/redhat-release 
Red Hat Enterprise Linux Server release 6.4 Beta (Santiago)

# rpm -q rhevm rhevm-webadmin-portal
rhevm-3.2.0-5.el6ev.noarch
rhevm-webadmin-portal-3.2.0-5.el6ev.noarch

The 'Configure Local Storage' works fine now in ja locale

Please refer to the attached screenshot.

Comment 17 Lijun Li 2013-01-28 08:55:04 UTC
Created attachment 688799 [details]
Fixed 'Configure Local Storage' works fine now in ja locale

Comment 19 errata-xmlrpc 2013-06-10 21:27:35 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0888.html


Note You need to log in before you can comment on or make changes to this bug.